# Prysm Dashboard Compatibility

## **Prysm Dashboard Compatibility**

### Prysmatic Labs and GuillaumeMiralles Dashboards

Dashboard: <https://docs.prylabs.network/assets/grafana-dashboards/small_amount_validators.json>

Dashboard: <https://raw.githubusercontent.com/GuillaumeMiralles/prysm-grafana-dashboard/master/less_10_validators.json>

Dashboard: <https://raw.githubusercontent.com/GuillaumeMiralles/prysm-grafana-dashboard/master/more_10_validators.json>

To continue to use the alternative Prysm dashboards listed above, update the Prysm`job_name` in the new `prometheus.yml` file to match your prior value. `nodes` is the default for this Coin Cashew guide to installing a Nimbus dashboard.

Edit the `/etc/prometheus/prometheus.yml` file.

```bash
sudo vi /etc/prometheus/prometheus.yml
```

Find the line containing `- job_name: prysm_beacon`.

Change that line to `- job_name: <PREVIOUS PRYSM BEACON job_name>`.

Replace `<PREVIOUS PRYSM BEACON JOB NAME>` with the value for Prysm beacon chain in your previous `prometheus.yml` file. If you used the Coin Cashew guide to setting up your original dashboard, this value may be `beacon node`. If you used the someresat guide to setting up your original dashboard, this value may be `prysm-beacon`.

Find the line containing `- job_name: prysm_validator`.

Change that line to `- job_name: <PREVIOUS PRYSM VALIDATOR job_name>`.

Replace `<PREVIOUS PRYSM VALIDATOR JOB NAME>` with the value for Prysm validator in your previous `prometheus.yml` file. If you used the Coin Cashew guide to setting up your original dashboard, this value may be `validator`. If you used the someresat guide to setting up your original dashboard, this value may be `prysm-validator`.

{% hint style="danger" %}
The someresat guide to installing this dashboard recommends the Prysm beacon `job_name` of `prysm-beacon` and the Prysm validator `job_name` of `prysm-validator`. Some queries in this dashboard require the use of `beacon_node` and `validator` for those `job_name` values, respectively. Changing the `job_name` values to `beacon_node` and `validator` instead of your previous values will enable all queries in this dashboard to work, but historical data may appear under a separate color/legend from present data.
{% endhint %}

Save the file and exit the editor.

{% hint style="warning" %}
If the Prysm beacon chain or Prysm validator job names are changed from their Stake Local defaults, please complete the steps to update the job name variables during [dashboard installation](/dashboard-installation/install-dashboard.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakelocal.io/dashboard-installation/optional-alternative-dashboard-compatibility/prysm-dashboard-compatibility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
